'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.rbinomOne = exports.rbinom = exports.qbinom = exports.pbinom = exports.dbinom = void 0;
var dbinom_1 = require('./dbinom.cjs');
Object.defineProperty(exports, 'dbinom', {
    enumerable: true,
    get: function () {
        return dbinom_1.dbinom;
    }
});
var pbinom_1 = require('./pbinom.cjs');
Object.defineProperty(exports, 'pbinom', {
    enumerable: true,
    get: function () {
        return pbinom_1.pbinom;
    }
});
var qbinom_1 = require('./qbinom.cjs');
Object.defineProperty(exports, 'qbinom', {
    enumerable: true,
    get: function () {
        return qbinom_1.qbinom;
    }
});
var rbinom_1 = require('./rbinom.cjs');
Object.defineProperty(exports, 'rbinomOne', {
    enumerable: true,
    get: function () {
        return rbinom_1.rbinomOne;
    }
});
var r_func_1 = require('../../r-func.cjs');
function rbinom(n, size, prob) {
    return (0, r_func_1.repeatedCall64)(n, rbinom_1.rbinomOne, size, prob);
}
exports.rbinom = rbinom;