'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.rexpOne = exports.rexp = exports.qexp = exports.pexp = exports.dexp = void 0;
var dexp_1 = require('./dexp.cjs');
var pexp_1 = require('./pexp.cjs');
var qexp_1 = require('./qexp.cjs');
var rexp_1 = require('./rexp.cjs');
Object.defineProperty(exports, 'rexpOne', {
    enumerable: true,
    get: function () {
        return rexp_1.rexpOne;
    }
});
var r_func_1 = require('../../r-func.cjs');
function dexp(x, rate = 1, log = false) {
    return (0, dexp_1.dexp)(x, 1 / rate, log);
}
exports.dexp = dexp;
function pexp(q, rate = 1, lowerTail = true, logP = false) {
    return (0, pexp_1.pexp)(q, 1 / rate, lowerTail, logP);
}
exports.pexp = pexp;
function qexp(p, rate = 1, lowerTail = true, logP = false) {
    return (0, qexp_1.qexp)(p, 1 / rate, lowerTail, logP);
}
exports.qexp = qexp;
function rexp(n, rate = 1) {
    return (0, r_func_1.repeatedCall64)(n, rexp_1.rexpOne, rate);
}
exports.rexp = rexp;