'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.rhyperOne = exports.clearBackendHyperGeom = exports.useWasmBackendHyperGeom = exports.rhyper = exports.qhyper = exports.phyper = exports.dhyper = void 0;
var dhyper_1 = require('./dhyper.cjs');
Object.defineProperty(exports, 'dhyper', {
    enumerable: true,
    get: function () {
        return dhyper_1.dhyper;
    }
});
var phyper_1 = require('./phyper.cjs');
Object.defineProperty(exports, 'phyper', {
    enumerable: true,
    get: function () {
        return phyper_1.phyper;
    }
});
var qhyper_1 = require('./qhyper.cjs');
Object.defineProperty(exports, 'qhyper', {
    enumerable: true,
    get: function () {
        return qhyper_1.qhyper;
    }
});
var qhyper_2 = require('./qhyper.cjs');
var rhyper_1 = require('./rhyper.cjs');
Object.defineProperty(exports, 'rhyperOne', {
    enumerable: true,
    get: function () {
        return rhyper_1.rhyperOne;
    }
});
var r_func_1 = require('../../r-func.cjs');
var qhyper_wasm_1 = require('./qhyper_wasm.cjs');
function rhyper(nn, m, n, k) {
    return (0, r_func_1.repeatedCall64)(nn, rhyper_1.rhyperOne, m, n, k);
}
exports.rhyper = rhyper;
function useWasmBackendHyperGeom() {
    const fns = (0, qhyper_wasm_1.initWasm)();
    (0, qhyper_2.registerBackend)(fns);
}
exports.useWasmBackendHyperGeom = useWasmBackendHyperGeom;
function clearBackendHyperGeom() {
    return (0, qhyper_2.unRegisterBackend)();
}
exports.clearBackendHyperGeom = clearBackendHyperGeom;