'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.rlnormOne = void 0;
var debug_1 = require('@mangos/debug');
var logger_1 = require('../../../packages/common/logger.cjs');
var rnorm_1 = require('../normal/rnorm.cjs');
var r_func_1 = require('../../r-func.cjs');
const printer = (0, debug_1.debug)('rlnorm');
function rlnormOne(meanlog = 0, sdlog = 1) {
    if (isNaN(meanlog) || !isFinite(sdlog) || sdlog < 0) {
        return (0, logger_1.ML_ERR_return_NAN2)(printer, logger_1.lineInfo4);
    }
    return (0, r_func_1.exp)((0, rnorm_1.rnormOne)(meanlog, sdlog));
}
exports.rlnormOne = rlnormOne;