import { debug } from '@mangos/debug';
import {
    ML_ERR_return_NAN2,
    lineInfo4
} from '../../../packages/common/logger.mjs';
import { rgamma } from '../gamma/rgamma.mjs';
const printer = debug('rchisq');
export function rchisqOne(df) {
    if (!isFinite(df) || df < 0) {
        return ML_ERR_return_NAN2(printer, lineInfo4);
    }
    return rgamma(df / 2, 2);
}