import {
    ML_ERR_return_NAN2,
    lineInfo4
} from '../../../packages/common/logger.mjs';
import { debug } from '@mangos/debug';
import { exp_rand } from './sexp.mjs';
import { globalUni } from '../../rng/global-rng.mjs';
const printer = debug('rexp');
export function rexpOne(rate) {
    const rng = globalUni();
    if (rate === Infinity || isNaN(rate) || rate <= 0) {
        if (rate === Infinity || rate === -Infinity)
            return 0;
        return ML_ERR_return_NAN2(printer, lineInfo4);
    }
    return exp_rand(rng) / rate;
}