export function seedCheck(rngName, seed, length) {
    if (!(seed instanceof Uint32Array || seed instanceof Int32Array)) {
        throw new TypeError(`the seed is not of type Array for rng:${ rngName }`);
    }
    if (seed.length !== length) {
        throw new TypeError(`the seed is not an array of proper size for rng ${ rngName }`);
    }
}