import { IRNG } from "../irng";
import type { IRNGNormalType } from "./rng-types";
import type { IRandom } from "../IRandom";
export declare abstract class IRNGNormal implements IRandom {
    static kind: IRNGNormalType;
    protected _rng: IRNG;
    protected _name: string;
    protected reset(rng?: IRNG): void;
    constructor(_rng: IRNG, name: string);
    unregister(): void;
    register(_rng: IRNG): void;
    randoms(n: number): Float32Array;
    random(): number;
    get name(): string;
    get uniform_rng(): IRNG;
}
