import { IRNG } from "../irng";
import type { IRNGType } from "../rng-types";
export declare class WichmannHill extends IRNG {
    private m_seed;
    static kind: IRNGType;
    random(): number;
    constructor(_seed?: number);
    fixupSeeds(): void;
    init(_seed?: number): void;
    set seed(_seed: Uint32Array);
    get seed(): Uint32Array;
    get cut(): number;
}
