import type { Printer } from '@mangos/debug';
export declare function createLineInfo(n: number): () => string;
declare const lineInfo4: () => string;
export { lineInfo4 };
export declare enum ME {
    ME_NONE = 0,
    ME_DOMAIN = 1,
    ME_RANGE = 2,
    ME_NOCONV = 4,
    ME_PRECISION = 8,
    ME_UNDERFLOW = 16
}
export declare const mapErr: Map<ME, string>;
export declare function ML_ERROR2<T extends string | Record<string, unknown> | (() => string)>(x: ME, s: T, printer: Printer): void;
export declare function ML_ERR_return_NAN2(printer: Printer, getExtraInfo: () => string): number;
export declare function R_Q_P01_boundaries(lower_tail: boolean, log_p: boolean, p: number, _LEFT_: number, _RIGHT_: number): number | undefined;
export declare function R_Q_P01_check(logP: boolean, p: number): number | undefined;
