'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.rgeomOne = exports.rgeom = exports.qgeom = exports.pgeom = exports.dgeom = exports.rgammaOne = exports.rgamma = exports.qgamma = exports.pgamma = exports.dgamma = exports.rfOne = exports.rf = exports.qf = exports.pf = exports.df = exports.rexpOne = exports.rexp = exports.qexp = exports.pexp = exports.dexp = exports.rchisqOne = exports.rchisq = exports.qchisq = exports.pchisq = exports.dchisq = exports.rcauchyOne = exports.rcauchy = exports.qcauchy = exports.pcauchy = exports.dcauchy = exports.rnbinomOne = exports.rnbinom = exports.qnbinom = exports.pnbinom = exports.dnbinom = exports.rbinomOne = exports.rbinom = exports.qbinom = exports.pbinom = exports.dbinom = exports.rbeta = exports.qbeta = exports.pbeta = exports.dbeta = exports.rbetaOne = exports.tanpi = exports.sinpi = exports.cospi = exports.hypot = exports.log1p = void 0;
exports.dweibull = exports.runifOne = exports.runif = exports.qunif = exports.punif = exports.dunif = exports.qtukey = exports.ptukey = exports.rtOne = exports.rt = exports.qt = exports.pt = exports.dt = exports.rpoisOne = exports.rpois = exports.qpois = exports.ppois = exports.dpois = exports.rnormOne = exports.rnorm = exports.qnorm = exports.pnorm = exports.dnorm = exports.rmultinom = exports.dmultinomLikeR = exports.dmultinom = exports.rlnormOne = exports.rlnorm = exports.qlnorm = exports.plnorm = exports.dlnorm = exports.rlogisOne = exports.rlogis = exports.qlogis = exports.plogis = exports.dlogis = exports.rsignrankOne = exports.rsignrank = exports.qsignrank = exports.psignrank = exports.dsignrank = exports.clearBackendSignRank = exports.useWasmBackendSignRank = exports.clearBackendHyperGeom = exports.useWasmBackendHyperGeom = exports.rhyperOne = exports.rhyper = exports.qhyper = exports.phyper = exports.dhyper = void 0;
exports.default = exports.lgamma = exports.trigamma = exports.tetragamma = exports.psigamma = exports.pentagamma = exports.digamma = exports.gamma = exports.choose = exports.lchoose = exports.lbeta = exports.beta = exports.besselY = exports.BesselK = exports.BesselI = exports.BesselJ = exports.randomSeed = exports.setSeed = exports.RNGkind = exports.IRNGNormal = exports.MessageType = exports.IRNG = exports.seed = exports.rwilcoxOne = exports.rwilcox = exports.qwilcox = exports.pwilcox = exports.dwilcox = exports.rweibullOne = exports.rweibull = exports.qweibull = exports.pweibull = void 0;
var log1p_1 = require('././lib/alt/log/log1p.cjs');
Object.defineProperty(exports, 'log1p', {
    enumerable: true,
    get: function () {
        return log1p_1.default;
    }
});
var hypot_1 = require('./lib/alt/hypot/hypot.cjs');
Object.defineProperty(exports, 'hypot', {
    enumerable: true,
    get: function () {
        return hypot_1.default;
    }
});
var cospi_1 = require('./lib/trigonometry/cospi.cjs');
Object.defineProperty(exports, 'cospi', {
    enumerable: true,
    get: function () {
        return cospi_1.cospi;
    }
});
var sinpi_1 = require('./lib/trigonometry/sinpi.cjs');
Object.defineProperty(exports, 'sinpi', {
    enumerable: true,
    get: function () {
        return sinpi_1.sinpi;
    }
});
var tanpi_1 = require('./lib/trigonometry/tanpi.cjs');
Object.defineProperty(exports, 'tanpi', {
    enumerable: true,
    get: function () {
        return tanpi_1.tanpi;
    }
});
var beta_1 = require('./lib/distributions/beta/index.cjs');
Object.defineProperty(exports, 'rbetaOne', {
    enumerable: true,
    get: function () {
        return beta_1.rbetaOne;
    }
});
Object.defineProperty(exports, 'dbeta', {
    enumerable: true,
    get: function () {
        return beta_1.dbeta;
    }
});
Object.defineProperty(exports, 'pbeta', {
    enumerable: true,
    get: function () {
        return beta_1.pbeta;
    }
});
Object.defineProperty(exports, 'qbeta', {
    enumerable: true,
    get: function () {
        return beta_1.qbeta;
    }
});
Object.defineProperty(exports, 'rbeta', {
    enumerable: true,
    get: function () {
        return beta_1.rbeta;
    }
});
var binomial_1 = require('./lib/distributions/binomial/index.cjs');
Object.defineProperty(exports, 'dbinom', {
    enumerable: true,
    get: function () {
        return binomial_1.dbinom;
    }
});
Object.defineProperty(exports, 'pbinom', {
    enumerable: true,
    get: function () {
        return binomial_1.pbinom;
    }
});
Object.defineProperty(exports, 'qbinom', {
    enumerable: true,
    get: function () {
        return binomial_1.qbinom;
    }
});
Object.defineProperty(exports, 'rbinom', {
    enumerable: true,
    get: function () {
        return binomial_1.rbinom;
    }
});
Object.defineProperty(exports, 'rbinomOne', {
    enumerable: true,
    get: function () {
        return binomial_1.rbinomOne;
    }
});
var binomial_negative_1 = require('./lib/distributions/binomial-negative/index.cjs');
Object.defineProperty(exports, 'dnbinom', {
    enumerable: true,
    get: function () {
        return binomial_negative_1.dnbinom;
    }
});
Object.defineProperty(exports, 'pnbinom', {
    enumerable: true,
    get: function () {
        return binomial_negative_1.pnbinom;
    }
});
Object.defineProperty(exports, 'qnbinom', {
    enumerable: true,
    get: function () {
        return binomial_negative_1.qnbinom;
    }
});
Object.defineProperty(exports, 'rnbinom', {
    enumerable: true,
    get: function () {
        return binomial_negative_1.rnbinom;
    }
});
Object.defineProperty(exports, 'rnbinomOne', {
    enumerable: true,
    get: function () {
        return binomial_negative_1.rnbinomOne;
    }
});
var cauchy_1 = require('./lib/distributions/cauchy/index.cjs');
Object.defineProperty(exports, 'dcauchy', {
    enumerable: true,
    get: function () {
        return cauchy_1.dcauchy;
    }
});
Object.defineProperty(exports, 'pcauchy', {
    enumerable: true,
    get: function () {
        return cauchy_1.pcauchy;
    }
});
Object.defineProperty(exports, 'qcauchy', {
    enumerable: true,
    get: function () {
        return cauchy_1.qcauchy;
    }
});
Object.defineProperty(exports, 'rcauchy', {
    enumerable: true,
    get: function () {
        return cauchy_1.rcauchy;
    }
});
Object.defineProperty(exports, 'rcauchyOne', {
    enumerable: true,
    get: function () {
        return cauchy_1.rcauchyOne;
    }
});
var chi_2_1 = require('./lib/distributions/chi-2/index.cjs');
Object.defineProperty(exports, 'dchisq', {
    enumerable: true,
    get: function () {
        return chi_2_1.dchisq;
    }
});
Object.defineProperty(exports, 'pchisq', {
    enumerable: true,
    get: function () {
        return chi_2_1.pchisq;
    }
});
Object.defineProperty(exports, 'qchisq', {
    enumerable: true,
    get: function () {
        return chi_2_1.qchisq;
    }
});
Object.defineProperty(exports, 'rchisq', {
    enumerable: true,
    get: function () {
        return chi_2_1.rchisq;
    }
});
Object.defineProperty(exports, 'rchisqOne', {
    enumerable: true,
    get: function () {
        return chi_2_1.rchisqOne;
    }
});
var exp_1 = require('./lib/distributions/exp/index.cjs');
Object.defineProperty(exports, 'dexp', {
    enumerable: true,
    get: function () {
        return exp_1.dexp;
    }
});
Object.defineProperty(exports, 'pexp', {
    enumerable: true,
    get: function () {
        return exp_1.pexp;
    }
});
Object.defineProperty(exports, 'qexp', {
    enumerable: true,
    get: function () {
        return exp_1.qexp;
    }
});
Object.defineProperty(exports, 'rexp', {
    enumerable: true,
    get: function () {
        return exp_1.rexp;
    }
});
Object.defineProperty(exports, 'rexpOne', {
    enumerable: true,
    get: function () {
        return exp_1.rexpOne;
    }
});
var f_distro_1 = require('./lib/distributions/f-distro/index.cjs');
Object.defineProperty(exports, 'df', {
    enumerable: true,
    get: function () {
        return f_distro_1.df;
    }
});
Object.defineProperty(exports, 'pf', {
    enumerable: true,
    get: function () {
        return f_distro_1.pf;
    }
});
Object.defineProperty(exports, 'qf', {
    enumerable: true,
    get: function () {
        return f_distro_1.qf;
    }
});
Object.defineProperty(exports, 'rf', {
    enumerable: true,
    get: function () {
        return f_distro_1.rf;
    }
});
Object.defineProperty(exports, 'rfOne', {
    enumerable: true,
    get: function () {
        return f_distro_1.rfOne;
    }
});
var gamma_1 = require('./lib/distributions/gamma/index.cjs');
Object.defineProperty(exports, 'dgamma', {
    enumerable: true,
    get: function () {
        return gamma_1.dgamma;
    }
});
Object.defineProperty(exports, 'pgamma', {
    enumerable: true,
    get: function () {
        return gamma_1.pgamma;
    }
});
Object.defineProperty(exports, 'qgamma', {
    enumerable: true,
    get: function () {
        return gamma_1.qgamma;
    }
});
Object.defineProperty(exports, 'rgamma', {
    enumerable: true,
    get: function () {
        return gamma_1.rgamma;
    }
});
Object.defineProperty(exports, 'rgammaOne', {
    enumerable: true,
    get: function () {
        return gamma_1.rgammaOne;
    }
});
var geometric_1 = require('./lib/distributions/geometric/index.cjs');
Object.defineProperty(exports, 'dgeom', {
    enumerable: true,
    get: function () {
        return geometric_1.dgeom;
    }
});
Object.defineProperty(exports, 'pgeom', {
    enumerable: true,
    get: function () {
        return geometric_1.pgeom;
    }
});
Object.defineProperty(exports, 'qgeom', {
    enumerable: true,
    get: function () {
        return geometric_1.qgeom;
    }
});
Object.defineProperty(exports, 'rgeom', {
    enumerable: true,
    get: function () {
        return geometric_1.rgeom;
    }
});
Object.defineProperty(exports, 'rgeomOne', {
    enumerable: true,
    get: function () {
        return geometric_1.rgeomOne;
    }
});
var hypergeometric_1 = require('./lib/distributions/hypergeometric/index.cjs');
Object.defineProperty(exports, 'dhyper', {
    enumerable: true,
    get: function () {
        return hypergeometric_1.dhyper;
    }
});
Object.defineProperty(exports, 'phyper', {
    enumerable: true,
    get: function () {
        return hypergeometric_1.phyper;
    }
});
Object.defineProperty(exports, 'qhyper', {
    enumerable: true,
    get: function () {
        return hypergeometric_1.qhyper;
    }
});
Object.defineProperty(exports, 'rhyper', {
    enumerable: true,
    get: function () {
        return hypergeometric_1.rhyper;
    }
});
Object.defineProperty(exports, 'rhyperOne', {
    enumerable: true,
    get: function () {
        return hypergeometric_1.rhyperOne;
    }
});
Object.defineProperty(exports, 'useWasmBackendHyperGeom', {
    enumerable: true,
    get: function () {
        return hypergeometric_1.useWasmBackendHyperGeom;
    }
});
Object.defineProperty(exports, 'clearBackendHyperGeom', {
    enumerable: true,
    get: function () {
        return hypergeometric_1.clearBackendHyperGeom;
    }
});
var logis_1 = require('./lib/distributions/logis/index.cjs');
Object.defineProperty(exports, 'dlogis', {
    enumerable: true,
    get: function () {
        return logis_1.dlogis;
    }
});
Object.defineProperty(exports, 'plogis', {
    enumerable: true,
    get: function () {
        return logis_1.plogis;
    }
});
Object.defineProperty(exports, 'qlogis', {
    enumerable: true,
    get: function () {
        return logis_1.qlogis;
    }
});
Object.defineProperty(exports, 'rlogis', {
    enumerable: true,
    get: function () {
        return logis_1.rlogis;
    }
});
Object.defineProperty(exports, 'rlogisOne', {
    enumerable: true,
    get: function () {
        return logis_1.rlogisOne;
    }
});
var lognormal_1 = require('./lib/distributions/lognormal/index.cjs');
Object.defineProperty(exports, 'dlnorm', {
    enumerable: true,
    get: function () {
        return lognormal_1.dlnorm;
    }
});
Object.defineProperty(exports, 'plnorm', {
    enumerable: true,
    get: function () {
        return lognormal_1.plnorm;
    }
});
Object.defineProperty(exports, 'qlnorm', {
    enumerable: true,
    get: function () {
        return lognormal_1.qlnorm;
    }
});
Object.defineProperty(exports, 'rlnorm', {
    enumerable: true,
    get: function () {
        return lognormal_1.rlnorm;
    }
});
Object.defineProperty(exports, 'rlnormOne', {
    enumerable: true,
    get: function () {
        return lognormal_1.rlnormOne;
    }
});
var multinom_1 = require('./lib/distributions/multinom/index.cjs');
Object.defineProperty(exports, 'dmultinom', {
    enumerable: true,
    get: function () {
        return multinom_1.dmultinom;
    }
});
Object.defineProperty(exports, 'dmultinomLikeR', {
    enumerable: true,
    get: function () {
        return multinom_1.dmultinomLikeR;
    }
});
Object.defineProperty(exports, 'rmultinom', {
    enumerable: true,
    get: function () {
        return multinom_1.rmultinom;
    }
});
var normal_1 = require('./lib/distributions/normal/index.cjs');
Object.defineProperty(exports, 'dnorm', {
    enumerable: true,
    get: function () {
        return normal_1.dnorm;
    }
});
Object.defineProperty(exports, 'pnorm', {
    enumerable: true,
    get: function () {
        return normal_1.pnorm;
    }
});
Object.defineProperty(exports, 'qnorm', {
    enumerable: true,
    get: function () {
        return normal_1.qnorm;
    }
});
Object.defineProperty(exports, 'rnorm', {
    enumerable: true,
    get: function () {
        return normal_1.rnorm;
    }
});
Object.defineProperty(exports, 'rnormOne', {
    enumerable: true,
    get: function () {
        return normal_1.rnormOne;
    }
});
var poisson_1 = require('./lib/distributions/poisson/index.cjs');
Object.defineProperty(exports, 'dpois', {
    enumerable: true,
    get: function () {
        return poisson_1.dpois;
    }
});
Object.defineProperty(exports, 'ppois', {
    enumerable: true,
    get: function () {
        return poisson_1.ppois;
    }
});
Object.defineProperty(exports, 'qpois', {
    enumerable: true,
    get: function () {
        return poisson_1.qpois;
    }
});
Object.defineProperty(exports, 'rpois', {
    enumerable: true,
    get: function () {
        return poisson_1.rpois;
    }
});
Object.defineProperty(exports, 'rpoisOne', {
    enumerable: true,
    get: function () {
        return poisson_1.rpoisOne;
    }
});
var signrank_1 = require('./lib/distributions/signrank/index.cjs');
Object.defineProperty(exports, 'useWasmBackendSignRank', {
    enumerable: true,
    get: function () {
        return signrank_1.useWasmBackendSignRank;
    }
});
Object.defineProperty(exports, 'clearBackendSignRank', {
    enumerable: true,
    get: function () {
        return signrank_1.clearBackendSignRank;
    }
});
Object.defineProperty(exports, 'dsignrank', {
    enumerable: true,
    get: function () {
        return signrank_1.dsignrank;
    }
});
Object.defineProperty(exports, 'psignrank', {
    enumerable: true,
    get: function () {
        return signrank_1.psignrank;
    }
});
Object.defineProperty(exports, 'qsignrank', {
    enumerable: true,
    get: function () {
        return signrank_1.qsignrank;
    }
});
Object.defineProperty(exports, 'rsignrank', {
    enumerable: true,
    get: function () {
        return signrank_1.rsignrank;
    }
});
Object.defineProperty(exports, 'rsignrankOne', {
    enumerable: true,
    get: function () {
        return signrank_1.rsignrankOne;
    }
});
var student_t_1 = require('./lib/distributions/student-t/index.cjs');
Object.defineProperty(exports, 'dt', {
    enumerable: true,
    get: function () {
        return student_t_1.dt;
    }
});
Object.defineProperty(exports, 'pt', {
    enumerable: true,
    get: function () {
        return student_t_1.pt;
    }
});
Object.defineProperty(exports, 'qt', {
    enumerable: true,
    get: function () {
        return student_t_1.qt;
    }
});
Object.defineProperty(exports, 'rt', {
    enumerable: true,
    get: function () {
        return student_t_1.rt;
    }
});
Object.defineProperty(exports, 'rtOne', {
    enumerable: true,
    get: function () {
        return student_t_1.rtOne;
    }
});
var tukey_1 = require('./lib/distributions/tukey/index.cjs');
Object.defineProperty(exports, 'ptukey', {
    enumerable: true,
    get: function () {
        return tukey_1.ptukey;
    }
});
Object.defineProperty(exports, 'qtukey', {
    enumerable: true,
    get: function () {
        return tukey_1.qtukey;
    }
});
var uniform_1 = require('./lib/distributions/uniform/index.cjs');
Object.defineProperty(exports, 'dunif', {
    enumerable: true,
    get: function () {
        return uniform_1.dunif;
    }
});
Object.defineProperty(exports, 'punif', {
    enumerable: true,
    get: function () {
        return uniform_1.punif;
    }
});
Object.defineProperty(exports, 'qunif', {
    enumerable: true,
    get: function () {
        return uniform_1.qunif;
    }
});
Object.defineProperty(exports, 'runif', {
    enumerable: true,
    get: function () {
        return uniform_1.runif;
    }
});
Object.defineProperty(exports, 'runifOne', {
    enumerable: true,
    get: function () {
        return uniform_1.runifOne;
    }
});
var weibull_1 = require('./lib/distributions/weibull/index.cjs');
Object.defineProperty(exports, 'dweibull', {
    enumerable: true,
    get: function () {
        return weibull_1.dweibull;
    }
});
Object.defineProperty(exports, 'pweibull', {
    enumerable: true,
    get: function () {
        return weibull_1.pweibull;
    }
});
Object.defineProperty(exports, 'qweibull', {
    enumerable: true,
    get: function () {
        return weibull_1.qweibull;
    }
});
Object.defineProperty(exports, 'rweibull', {
    enumerable: true,
    get: function () {
        return weibull_1.rweibull;
    }
});
Object.defineProperty(exports, 'rweibullOne', {
    enumerable: true,
    get: function () {
        return weibull_1.rweibullOne;
    }
});
var wilcoxon_1 = require('./lib/distributions/wilcoxon/index.cjs');
Object.defineProperty(exports, 'dwilcox', {
    enumerable: true,
    get: function () {
        return wilcoxon_1.dwilcox;
    }
});
Object.defineProperty(exports, 'pwilcox', {
    enumerable: true,
    get: function () {
        return wilcoxon_1.pwilcox;
    }
});
Object.defineProperty(exports, 'qwilcox', {
    enumerable: true,
    get: function () {
        return wilcoxon_1.qwilcox;
    }
});
Object.defineProperty(exports, 'rwilcox', {
    enumerable: true,
    get: function () {
        return wilcoxon_1.rwilcox;
    }
});
Object.defineProperty(exports, 'rwilcoxOne', {
    enumerable: true,
    get: function () {
        return wilcoxon_1.rwilcoxOne;
    }
});
var seed_1 = require('./lib/rng/seed.cjs');
Object.defineProperty(exports, 'seed', {
    enumerable: true,
    get: function () {
        return seed_1.default;
    }
});
var irng_1 = require('./lib/rng/irng.cjs');
Object.defineProperty(exports, 'IRNG', {
    enumerable: true,
    get: function () {
        return irng_1.IRNG;
    }
});
Object.defineProperty(exports, 'MessageType', {
    enumerable: true,
    get: function () {
        return irng_1.MessageType;
    }
});
var normal_rng_1 = require('./lib/rng/normal/normal-rng.cjs');
Object.defineProperty(exports, 'IRNGNormal', {
    enumerable: true,
    get: function () {
        return normal_rng_1.IRNGNormal;
    }
});
var global_rng_1 = require('./lib/rng/global-rng.cjs');
Object.defineProperty(exports, 'RNGkind', {
    enumerable: true,
    get: function () {
        return global_rng_1.RNGkind;
    }
});
Object.defineProperty(exports, 'setSeed', {
    enumerable: true,
    get: function () {
        return global_rng_1.setSeed;
    }
});
Object.defineProperty(exports, 'randomSeed', {
    enumerable: true,
    get: function () {
        return global_rng_1.randomSeed;
    }
});
var bessel_1 = require('./lib/special/bessel/index.cjs');
Object.defineProperty(exports, 'BesselJ', {
    enumerable: true,
    get: function () {
        return bessel_1.BesselJ;
    }
});
Object.defineProperty(exports, 'BesselI', {
    enumerable: true,
    get: function () {
        return bessel_1.BesselI;
    }
});
Object.defineProperty(exports, 'BesselK', {
    enumerable: true,
    get: function () {
        return bessel_1.BesselK;
    }
});
Object.defineProperty(exports, 'besselY', {
    enumerable: true,
    get: function () {
        return bessel_1.besselY;
    }
});
var beta_2 = require('./lib/special/beta/index.cjs');
Object.defineProperty(exports, 'beta', {
    enumerable: true,
    get: function () {
        return beta_2.beta;
    }
});
Object.defineProperty(exports, 'lbeta', {
    enumerable: true,
    get: function () {
        return beta_2.lbeta;
    }
});
var choose_1 = require('./lib/special/choose/index.cjs');
Object.defineProperty(exports, 'lchoose', {
    enumerable: true,
    get: function () {
        return choose_1.lchoose;
    }
});
Object.defineProperty(exports, 'choose', {
    enumerable: true,
    get: function () {
        return choose_1.choose;
    }
});
var gamma_2 = require('./lib/special/gamma/index.cjs');
Object.defineProperty(exports, 'gamma', {
    enumerable: true,
    get: function () {
        return gamma_2.gamma;
    }
});
Object.defineProperty(exports, 'digamma', {
    enumerable: true,
    get: function () {
        return gamma_2.digamma;
    }
});
Object.defineProperty(exports, 'pentagamma', {
    enumerable: true,
    get: function () {
        return gamma_2.pentagamma;
    }
});
Object.defineProperty(exports, 'psigamma', {
    enumerable: true,
    get: function () {
        return gamma_2.psigamma;
    }
});
Object.defineProperty(exports, 'tetragamma', {
    enumerable: true,
    get: function () {
        return gamma_2.tetragamma;
    }
});
Object.defineProperty(exports, 'trigamma', {
    enumerable: true,
    get: function () {
        return gamma_2.trigamma;
    }
});
Object.defineProperty(exports, 'lgamma', {
    enumerable: true,
    get: function () {
        return gamma_2.lgamma;
    }
});
const defaultObservableNoteBook = {
    log1p: log1p_1.default,
    hypot: hypot_1.default,
    cospi: cospi_1.cospi,
    sinpi: sinpi_1.sinpi,
    tanpi: tanpi_1.tanpi,
    rbetaOne: beta_1.rbetaOne,
    dbeta: beta_1.dbeta,
    pbeta: beta_1.pbeta,
    qbeta: beta_1.qbeta,
    rbeta: beta_1.rbeta,
    dbinom: binomial_1.dbinom,
    pbinom: binomial_1.pbinom,
    qbinom: binomial_1.qbinom,
    rbinom: binomial_1.rbinom,
    rbinomOne: binomial_1.rbinomOne,
    dnbinom: binomial_negative_1.dnbinom,
    pnbinom: binomial_negative_1.pnbinom,
    qnbinom: binomial_negative_1.qnbinom,
    rnbinom: binomial_negative_1.rnbinom,
    rnbinomOne: binomial_negative_1.rnbinomOne,
    dcauchy: cauchy_1.dcauchy,
    pcauchy: cauchy_1.pcauchy,
    qcauchy: cauchy_1.qcauchy,
    rcauchy: cauchy_1.rcauchy,
    rcauchyOne: cauchy_1.rcauchyOne,
    dchisq: chi_2_1.dchisq,
    pchisq: chi_2_1.pchisq,
    qchisq: chi_2_1.qchisq,
    rchisq: chi_2_1.rchisq,
    rchisqOne: chi_2_1.rchisqOne,
    dexp: exp_1.dexp,
    pexp: exp_1.pexp,
    qexp: exp_1.qexp,
    rexp: exp_1.rexp,
    rexpOne: exp_1.rexpOne,
    df: f_distro_1.df,
    pf: f_distro_1.pf,
    qf: f_distro_1.qf,
    rf: f_distro_1.rf,
    rfOne: f_distro_1.rfOne,
    dgamma: gamma_1.dgamma,
    pgamma: gamma_1.pgamma,
    qgamma: gamma_1.qgamma,
    rgamma: gamma_1.rgamma,
    rgammaOne: gamma_1.rgammaOne,
    dgeom: geometric_1.dgeom,
    pgeom: geometric_1.pgeom,
    qgeom: geometric_1.qgeom,
    rgeom: geometric_1.rgeom,
    rgeomOne: geometric_1.rgeomOne,
    dhyper: hypergeometric_1.dhyper,
    phyper: hypergeometric_1.phyper,
    qhyper: hypergeometric_1.qhyper,
    rhyper: hypergeometric_1.rhyper,
    rhyperOne: hypergeometric_1.rhyperOne,
    useWasmBackendHyperGeom: hypergeometric_1.useWasmBackendHyperGeom,
    clearBackendHyperGeom: hypergeometric_1.clearBackendHyperGeom,
    useWasmBackendSignRank: signrank_1.useWasmBackendSignRank,
    clearBackendSignRank: signrank_1.clearBackendSignRank,
    dsignrank: signrank_1.dsignrank,
    psignrank: signrank_1.psignrank,
    qsignrank: signrank_1.qsignrank,
    rsignrank: signrank_1.rsignrank,
    rsignrankOne: signrank_1.rsignrankOne,
    dlogis: logis_1.dlogis,
    plogis: logis_1.plogis,
    qlogis: logis_1.qlogis,
    rlogis: logis_1.rlogis,
    rlogisOne: logis_1.rlogisOne,
    dlnorm: lognormal_1.dlnorm,
    plnorm: lognormal_1.plnorm,
    qlnorm: lognormal_1.qlnorm,
    rlnorm: lognormal_1.rlnorm,
    rlnormOne: lognormal_1.rlnormOne,
    dmultinom: multinom_1.dmultinom,
    dmultinomLikeR: multinom_1.dmultinomLikeR,
    rmultinom: multinom_1.rmultinom,
    dnorm: normal_1.dnorm,
    pnorm: normal_1.pnorm,
    qnorm: normal_1.qnorm,
    rnorm: normal_1.rnorm,
    rnormOne: normal_1.rnormOne,
    dpois: poisson_1.dpois,
    ppois: poisson_1.ppois,
    qpois: poisson_1.qpois,
    rpois: poisson_1.rpois,
    rpoisOne: poisson_1.rpoisOne,
    dt: student_t_1.dt,
    pt: student_t_1.pt,
    qt: student_t_1.qt,
    rt: student_t_1.rt,
    rtOne: student_t_1.rtOne,
    ptukey: tukey_1.ptukey,
    qtukey: tukey_1.qtukey,
    dunif: uniform_1.dunif,
    punif: uniform_1.punif,
    qunif: uniform_1.qunif,
    runif: uniform_1.runif,
    runifOne: uniform_1.runifOne,
    dweibull: weibull_1.dweibull,
    pweibull: weibull_1.pweibull,
    qweibull: weibull_1.qweibull,
    rweibull: weibull_1.rweibull,
    rweibullOne: weibull_1.rweibullOne,
    dwilcox: wilcoxon_1.dwilcox,
    pwilcox: wilcoxon_1.pwilcox,
    qwilcox: wilcoxon_1.qwilcox,
    rwilcox: wilcoxon_1.rwilcox,
    rwilcoxOne: wilcoxon_1.rwilcoxOne,
    seed: seed_1.default,
    IRNG: irng_1.IRNG,
    MessageType: irng_1.MessageType,
    IRNGNormal: normal_rng_1.IRNGNormal,
    RNGkind: global_rng_1.RNGkind,
    setSeed: global_rng_1.setSeed,
    randomSeed: global_rng_1.randomSeed,
    BesselJ: bessel_1.BesselJ,
    BesselI: bessel_1.BesselI,
    BesselK: bessel_1.BesselK,
    besselY: bessel_1.besselY,
    beta: beta_2.beta,
    lbeta: beta_2.lbeta,
    lchoose: choose_1.lchoose,
    choose: choose_1.choose,
    gamma: gamma_2.gamma,
    digamma: gamma_2.digamma,
    pentagamma: gamma_2.pentagamma,
    psigamma: gamma_2.psigamma,
    tetragamma: gamma_2.tetragamma,
    trigamma: gamma_2.trigamma,
    lgamma: gamma_2.lgamma
};
exports.default = defaultObservableNoteBook;