'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
var r_func_1 = require('../../r-func.cjs');
var r_func_2 = require('../../r-func.cjs');
function hypot(a, b) {
    let p;
    let r;
    let s;
    let t;
    let tmp;
    let u;
    if ((0, r_func_2.isNaN)(a) || (0, r_func_2.isNaN)(b)) {
        return a + b;
    }
    if (!(0, r_func_2.isFinite)(a) || !(0, r_func_2.isFinite)(b)) {
        return r_func_2.POSITIVE_INFINITY;
    }
    p = (0, r_func_1.max)((0, r_func_1.abs)(a), (0, r_func_1.abs)(b));
    if (p !== 0) {
        tmp = (0, r_func_1.min)((0, r_func_1.abs)(a), (0, r_func_1.abs)(b)) / p;
        r = tmp * tmp;
        for (;;) {
            t = 4 + r;
            if ((0, r_func_1.abs)(r) < 2 * r_func_2.EPSILON)
                break;
            s = r / t;
            u = 1 + 2 * s;
            p *= u;
            tmp = s / u;
            r *= tmp * tmp;
        }
    }
    return p;
}
exports.default = hypot;