'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.bd0 = void 0;
function bd0(x, np) {
    let ej;
    let s;
    let s1;
    let v;
    let j;
    if (!isFinite(x) || !isFinite(np) || np === 0) {
        return NaN;
    }
    if (Math.abs(x - np) < 0.1 * (x + np)) {
        v = (x - np) / (x + np);
        s = (x - np) * v;
        if (Math.abs(s) < Number.MIN_VALUE)
            return s;
        ej = 2 * x * v;
        v = v * v;
        for (j = 1; j < 1000; j++) {
            ej *= v;
            s1 = s + ej / ((j << 1) + 1);
            if (s1 === s)
                return s1;
            s = s1;
        }
    }
    return x * Math.log(x / np) + np - x;
}
exports.bd0 = bd0;
exports.default = bd0;