'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.dchisq = exports.pchisq = exports.qchisq = exports.rchisqOne = exports.rchisq = void 0;
var dchisq_1 = require('./dchisq.cjs');
var dnchisq_1 = require('./dnchisq.cjs');
var pchisq_1 = require('./pchisq.cjs');
var pnchisq_1 = require('./pnchisq.cjs');
var qchisq_1 = require('./qchisq.cjs');
var qnchisq_1 = require('./qnchisq.cjs');
var rchisq_1 = require('./rchisq.cjs');
var rnchisq_1 = require('./rnchisq.cjs');
var r_func_1 = require('../../r-func.cjs');
function rchisq(n, df, ncp) {
    return ncp === undefined ? (0, r_func_1.repeatedCall64)(n, rchisq_1.rchisqOne, df) : (0, r_func_1.repeatedCall64)(n, rnchisq_1.rnchisqOne, df, ncp);
}
exports.rchisq = rchisq;
function rchisqOne(df, ncp) {
    return ncp === undefined ? (0, rchisq_1.rchisqOne)(df) : (0, rnchisq_1.rnchisqOne)(df, ncp);
}
exports.rchisqOne = rchisqOne;
function qchisq(p, df, ncp, lowerTail = true, logP = false) {
    return ncp === undefined ? (0, qchisq_1.qchisq)(p, df, lowerTail, logP) : (0, qnchisq_1.qnchisq)(p, df, ncp, lowerTail, logP);
}
exports.qchisq = qchisq;
function pchisq(p, df, ncp, lowerTail = true, logP = false) {
    return ncp === undefined ? (0, pchisq_1.pchisq)(p, df, lowerTail, logP) : (0, pnchisq_1.pnchisq)(p, df, ncp, lowerTail, logP);
}
exports.pchisq = pchisq;
function dchisq(x, df, ncp, log = false) {
    return ncp === undefined ? (0, dchisq_1.dchisq)(x, df, log) : (0, dnchisq_1.dnchisq)(x, df, ncp, log);
}
exports.dchisq = dchisq;