'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.rchisqOne = void 0;
var debug_1 = require('@mangos/debug');
var logger_1 = require('../../../packages/common/logger.cjs');
var rgamma_1 = require('../gamma/rgamma.cjs');
const printer = (0, debug_1.debug)('rchisq');
function rchisqOne(df) {
    if (!isFinite(df) || df < 0) {
        return (0, logger_1.ML_ERR_return_NAN2)(printer, logger_1.lineInfo4);
    }
    return (0, rgamma_1.rgamma)(df / 2, 2);
}
exports.rchisqOne = rchisqOne;