'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.do_del = void 0;
const SIXTEN = 16;
function do_del(ccum, cum, log_p, X, temp, upper, lower, x) {
    const xsq = Math.trunc(X * SIXTEN) / SIXTEN;
    const del = (X - xsq) * (X + xsq);
    if (log_p) {
        cum.val = -xsq * xsq * 0.5 + -del * 0.5 + Math.log(temp);
        if (lower && x > 0 || upper && x <= 0)
            ccum.val = Math.log1p(-Math.exp(-xsq * xsq * 0.5) * Math.exp(-del * 0.5) * temp);
    } else {
        cum.val = Math.exp(-xsq * xsq * 0.5) * Math.exp(-del * 0.5) * temp;
        ccum.val = 1 - cum.val;
    }
}
exports.do_del = do_del;