'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.rnormOne = exports.rnorm = exports.qnorm = exports.pnorm = exports.dnorm = void 0;
var dnorm_1 = require('./dnorm.cjs');
Object.defineProperty(exports, 'dnorm', {
    enumerable: true,
    get: function () {
        return dnorm_1.dnorm4;
    }
});
var pnorm_1 = require('./pnorm.cjs');
Object.defineProperty(exports, 'pnorm', {
    enumerable: true,
    get: function () {
        return pnorm_1.pnorm5;
    }
});
var qnorm_1 = require('./qnorm.cjs');
Object.defineProperty(exports, 'qnorm', {
    enumerable: true,
    get: function () {
        return qnorm_1.qnorm;
    }
});
var rnorm_1 = require('./rnorm.cjs');
Object.defineProperty(exports, 'rnormOne', {
    enumerable: true,
    get: function () {
        return rnorm_1.rnormOne;
    }
});
var r_func_1 = require('../../r-func.cjs');
function rnorm(n, mean = 0, sd = 1) {
    return (0, r_func_1.repeatedCall64)(n, rnorm_1.rnormOne, mean, sd);
}
exports.rnorm = rnorm;