'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.runifOne = void 0;
var debug_1 = require('@mangos/debug');
var logger_1 = require('../../../packages/common/logger.cjs');
var global_rng_1 = require('../../rng/global-rng.cjs');
const printer = (0, debug_1.debug)('runif');
function runifOne(min, max) {
    const u = (0, global_rng_1.globalUni)();
    if (!(isFinite(min) && isFinite(max) && max > min)) {
        return (0, logger_1.ML_ERR_return_NAN2)(printer, logger_1.lineInfo4);
    }
    const s = u.random();
    return (max - min) * s + min;
}
exports.runifOne = runifOne;