'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.rweibull = exports.rweibullOne = exports.qweibull = exports.pweibull = exports.dweibull = void 0;
var dweibull_1 = require('./dweibull.cjs');
Object.defineProperty(exports, 'dweibull', {
    enumerable: true,
    get: function () {
        return dweibull_1.dweibull;
    }
});
var pweibull_1 = require('./pweibull.cjs');
Object.defineProperty(exports, 'pweibull', {
    enumerable: true,
    get: function () {
        return pweibull_1.pweibull;
    }
});
var qweibull_1 = require('./qweibull.cjs');
Object.defineProperty(exports, 'qweibull', {
    enumerable: true,
    get: function () {
        return qweibull_1.qweibull;
    }
});
var rweibull_1 = require('./rweibull.cjs');
Object.defineProperty(exports, 'rweibullOne', {
    enumerable: true,
    get: function () {
        return rweibull_1.rweibullOne;
    }
});
var r_func_1 = require('../../r-func.cjs');
function rweibull(n, shape, scale = 1) {
    return (0, r_func_1.repeatedCall64)(n, rweibull_1.rweibullOne, shape, scale);
}
exports.rweibull = rweibull;