'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.cwilcox = void 0;
var r_func_1 = require('../../r-func.cjs');
function cwilcox(k, m, n, w) {
    let i;
    let j;
    const u = m * n;
    const c = (0, r_func_1.trunc)(u / 2);
    if (k < 0 || k > u) {
        return 0;
    }
    if (k > c) {
        k = u - k;
    }
    if (m < n) {
        i = m;
        j = n;
    } else {
        i = n;
        j = m;
    }
    if (j > 0 && k < j) {
        return cwilcox(k, i, k, w);
    }
    if (w.get(i, j, k) === undefined) {
        if (j === 0) {
            w.set(i, j, k, k === 0 ? 1 : 0);
        } else {
            const c1 = cwilcox(k - j, i - 1, j, w);
            const c2 = cwilcox(k, i, j - 1, w);
            w.set(i, j, k, c1 + c2);
        }
    }
    const result = w.get(i, j, k);
    if (result === undefined) {
        throw new Error('WilcoxonCache not set');
    }
    return result;
}
exports.cwilcox = cwilcox;