'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.RNGkind = exports.globalNorm = exports.globalUni = exports.IRNGNormal = exports.MessageType = exports.IRNG = exports.KindermanRamage = exports.BuggyKindermanRamage = exports.BoxMuller = exports.Inversion = exports.AhrensDieter = exports.WichmannHill = exports.seed = exports.SuperDuper = exports.MersenneTwister = exports.MarsagliaMultiCarry = exports.LecuyerCMRG = exports.KnuthTAOCP2002 = exports.KnuthTAOCP = void 0;
var knuth_taocp_1 = require('./knuth-taocp/index.cjs');
Object.defineProperty(exports, 'KnuthTAOCP', {
    enumerable: true,
    get: function () {
        return knuth_taocp_1.KnuthTAOCP;
    }
});
var knuth_taocp_2002_1 = require('./knuth-taocp-2002/index.cjs');
Object.defineProperty(exports, 'KnuthTAOCP2002', {
    enumerable: true,
    get: function () {
        return knuth_taocp_2002_1.KnuthTAOCP2002;
    }
});
var lecuyer_cmrg_1 = require('./lecuyer-cmrg/index.cjs');
Object.defineProperty(exports, 'LecuyerCMRG', {
    enumerable: true,
    get: function () {
        return lecuyer_cmrg_1.LecuyerCMRG;
    }
});
var marsaglia_multicarry_1 = require('./marsaglia-multicarry/index.cjs');
Object.defineProperty(exports, 'MarsagliaMultiCarry', {
    enumerable: true,
    get: function () {
        return marsaglia_multicarry_1.MarsagliaMultiCarry;
    }
});
var mersenne_twister_1 = require('./mersenne-twister/index.cjs');
Object.defineProperty(exports, 'MersenneTwister', {
    enumerable: true,
    get: function () {
        return mersenne_twister_1.MersenneTwister;
    }
});
var super_duper_1 = require('./super-duper/index.cjs');
Object.defineProperty(exports, 'SuperDuper', {
    enumerable: true,
    get: function () {
        return super_duper_1.SuperDuper;
    }
});
var seed_1 = require('./seed.cjs');
Object.defineProperty(exports, 'seed', {
    enumerable: true,
    get: function () {
        return seed_1.default;
    }
});
var wichmann_hill_1 = require('./wichmann-hill/index.cjs');
Object.defineProperty(exports, 'WichmannHill', {
    enumerable: true,
    get: function () {
        return wichmann_hill_1.WichmannHill;
    }
});
var ahrens_dieter_1 = require('./normal/ahrens-dieter/index.cjs');
Object.defineProperty(exports, 'AhrensDieter', {
    enumerable: true,
    get: function () {
        return ahrens_dieter_1.AhrensDieter;
    }
});
var inversion_1 = require('./normal/inversion/index.cjs');
Object.defineProperty(exports, 'Inversion', {
    enumerable: true,
    get: function () {
        return inversion_1.Inversion;
    }
});
var box_muller_1 = require('./normal/box-muller/index.cjs');
Object.defineProperty(exports, 'BoxMuller', {
    enumerable: true,
    get: function () {
        return box_muller_1.BoxMuller;
    }
});
var buggy_kinderman_ramage_1 = require('./normal/buggy-kinderman-ramage/index.cjs');
Object.defineProperty(exports, 'BuggyKindermanRamage', {
    enumerable: true,
    get: function () {
        return buggy_kinderman_ramage_1.BuggyKindermanRamage;
    }
});
var kinderman_ramage_1 = require('./normal/kinderman-ramage/index.cjs');
Object.defineProperty(exports, 'KindermanRamage', {
    enumerable: true,
    get: function () {
        return kinderman_ramage_1.KindermanRamage;
    }
});
var irng_1 = require('./irng.cjs');
Object.defineProperty(exports, 'IRNG', {
    enumerable: true,
    get: function () {
        return irng_1.IRNG;
    }
});
Object.defineProperty(exports, 'MessageType', {
    enumerable: true,
    get: function () {
        return irng_1.MessageType;
    }
});
var normal_rng_1 = require('./normal/normal-rng.cjs');
Object.defineProperty(exports, 'IRNGNormal', {
    enumerable: true,
    get: function () {
        return normal_rng_1.IRNGNormal;
    }
});
var global_rng_1 = require('./global-rng.cjs');
Object.defineProperty(exports, 'globalUni', {
    enumerable: true,
    get: function () {
        return global_rng_1.globalUni;
    }
});
Object.defineProperty(exports, 'globalNorm', {
    enumerable: true,
    get: function () {
        return global_rng_1.globalNorm;
    }
});
Object.defineProperty(exports, 'RNGkind', {
    enumerable: true,
    get: function () {
        return global_rng_1.RNGkind;
    }
});