'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.seedCheck = void 0;
function seedCheck(rngName, seed, length) {
    if (!(seed instanceof Uint32Array || seed instanceof Int32Array)) {
        throw new TypeError(`the seed is not of type Array for rng:${ rngName }`);
    }
    if (seed.length !== length) {
        throw new TypeError(`the seed is not an array of proper size for rng ${ rngName }`);
    }
}
exports.seedCheck = seedCheck;