export {
    dhyper
} from './dhyper.mjs';
export {
    phyper
} from './phyper.mjs';
export {
    qhyper
} from './qhyper.mjs';
import {
    registerBackend,
    unRegisterBackend
} from './qhyper.mjs';
import { rhyperOne } from './rhyper.mjs';
import { repeatedCall64 } from '../../r-func.mjs';
import { initWasm as initWasmQhyper } from './qhyper_wasm.mjs';
export function rhyper(nn, m, n, k) {
    return repeatedCall64(nn, rhyperOne, m, n, k);
}
export function useWasmBackendHyperGeom() {
    const fns = initWasmQhyper();
    registerBackend(fns);
}
export function clearBackendHyperGeom() {
    return unRegisterBackend();
}
export {
    rhyperOne
};