import { IRNG } from "../irng";
import type { IRNGType } from "../rng-types";
export declare class SuperDuper extends IRNG {
    static kind: IRNGType;
    private m_seed;
    constructor(_seed?: number);
    random(): number;
    private fixupSeeds;
    init(_seed?: number): void;
    set seed(_seed: Int32Array | Uint32Array);
    get seed(): Int32Array | Uint32Array;
    get cut(): number;
}
